Debian Bug report logs - #632604
libatomic-ops: FTBFS on i386

version graph

Package: src:libatomic-ops; Maintainer for src:libatomic-ops is Ian Wienand <ianw@debian.org>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Sun, 3 Jul 2011 23:57:01 UTC

Severity: serious

Tags: patch

Merged with 675457

Found in version libatomic-ops/7.2~alpha5+cvs20101124-1

Fixed in versions libatomic-ops/7.3~alpha1+git20120621-1, libatomic-ops/7.2~alpha5+cvs20101124-1+deb7u0

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Sun, 03 Jul 2011 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Ian Wienand <ianw@debian.org>. (Sun, 03 Jul 2011 23:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: libatomic-ops: FTBFS on i386
Date: Sun, 3 Jul 2011 18:55:42 -0500
Source: libatomic-ops
Version: 7.2~alpha5+cvs20101124-1
Severity: serious

From my pbuilder build log (note this is running on an amd64 kernel, but using
"linux32 pbuilder build" with an i386 pbuilder chroot):

...
/usr/bin/make  check-TESTS
make[4]: Entering directory `/tmp/buildd/libatomic-ops-7.2~alpha5+cvs20101124/tests'
Missing: AO_compare_and_swap_double
Missing: AO_nop_acquire
Missing: AO_store_acquire
Missing: AO_short_store_acquire
Missing: AO_char_store_acquire
Missing: AO_int_store_acquire
Missing: AO_compare_and_swap_double_acquire
Missing: AO_nop_release
Missing: AO_load_release
Missing: AO_short_load_release
Missing: AO_char_load_release
Missing: AO_int_load_release
Missing: AO_compare_and_swap_double_release
Missing: AO_store_read
Missing: AO_short_store_read
Missing: AO_char_store_read
Missing: AO_int_store_read
Missing: AO_compare_and_swap_double_read
Missing: AO_load_write
Missing: AO_short_load_write
Missing: AO_char_load_write
Missing: AO_int_load_write
Missing: AO_compare_and_swap_double_write
Missing: AO_compare_and_swap_double_full
Missing: AO_nop_release_write
Missing: AO_load_release_write
Missing: AO_short_load_release_write
Missing: AO_char_load_release_write
Missing: AO_int_load_release_write
Missing: AO_compare_and_swap_double_release_write
Missing: AO_nop_acquire_read
Missing: AO_store_acquire_read
Missing: AO_short_store_acquire_read
Missing: AO_char_store_acquire_read
Missing: AO_int_store_acquire_read
Missing: AO_compare_and_swap_double_acquire_read
Testing add1/sub1
Succeeded
Testing store_release_write/load_acquire_read
Succeeded
Testing test_and_set
Succeeded
PASS: test_atomic
Missing: AO_nop_acquire
Missing: AO_store_acquire
Missing: AO_short_store_acquire
Missing: AO_char_store_acquire
Missing: AO_int_store_acquire
Missing: AO_nop_release
Missing: AO_load_release
Missing: AO_short_load_release
Missing: AO_char_load_release
Missing: AO_int_load_release
Missing: AO_store_read
Missing: AO_short_store_read
Missing: AO_char_store_read
Missing: AO_int_store_read
Missing: AO_load_write
Missing: AO_short_load_write
Missing: AO_char_load_write
Missing: AO_int_load_write
Missing: AO_nop_release_write
Missing: AO_load_release_write
Missing: AO_short_load_release_write
Missing: AO_char_load_release_write
Missing: AO_int_load_release_write
Missing: AO_nop_acquire_read
Missing: AO_store_acquire_read
Missing: AO_short_store_acquire_read
Missing: AO_char_store_acquire_read
Missing: AO_int_store_acquire_read
Testing add1/sub1
Succeeded
Testing store_release_write/load_acquire_read
Succeeded
Testing test_and_set
Succeeded
PASS: test_atomic_pthreads
FAILED
/bin/bash: line 5: 22780 Aborted                 ${dir}$tst
FAIL: test_stack
Testing AO_malloc/AO_free
Succeeded
Performing 1000 reversals of 1000 element lists in 10 threads
PASS: test_malloc
===================
1 of 4 tests failed
===================
make[4]: *** [check-TESTS] Error 1
make[4]: Leaving directory `/tmp/buildd/libatomic-ops-7.2~alpha5+cvs20101124/tests'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/tmp/buildd/libatomic-ops-7.2~alpha5+cvs20101124/tests'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/tmp/buildd/libatomic-ops-7.2~alpha5+cvs20101124/tests'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/libatomic-ops-7.2~alpha5+cvs20101124'
make: *** [debian/stamp-makefile-check] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Sat, 03 Mar 2012 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javi Merino <vicho@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Sat, 03 Mar 2012 22:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 632604@bugs.debian.org (full text, mbox):

From: Javi Merino <vicho@debian.org>
To: 632604@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libatomic-ops: FTBFS on i386
Date: Sat, 3 Mar 2012 22:32:10 +0000
[Message part 1 (text/plain, inline)]
tags 632604 unreproducible
thanks

Hi,

I built it in my real i386 machine just fine.

Cheers,
Javi
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from Javi Merino <vicho@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 22:33:16 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Emanuele Aina <emanuele.aina@collabora.com> to control@bugs.debian.org. (Fri, 01 Jun 2012 11:24:38 GMT) Full text and rfc822 format available.

Merged 632604 675457 Request was from Emanuele Aina <emanuele.aina@collabora.com> to control@bugs.debian.org. (Fri, 01 Jun 2012 11:24:39 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 16:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Thu, 21 Jun 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Thu, 21 Jun 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #23 received at 632604@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 632604@bugs.debian.org
Subject: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Thu, 21 Jun 2012 18:39:35 +0200
[Message part 1 (text/plain, inline)]
tags 632604 + pending
thanks

Dear maintainer,

I've prepared an NMU for libatomic-ops (versioned as 7.3~alpha1+git20111031-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Cranberries: Daffodil Lament
[libatomic-ops-7.3~alpha1+git20111031-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2012 16:42:07 GMT) Full text and rfc822 format available.

Reply sent to Ian Wienand <ianw@debian.org>:
You have taken responsibility. (Thu, 21 Jun 2012 17:21:12 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 17:21:12 GMT) Full text and rfc822 format available.

Message #30 received at 632604-close@bugs.debian.org (full text, mbox):

From: Ian Wienand <ianw@debian.org>
To: 632604-close@bugs.debian.org
Subject: Bug#632604: fixed in libatomic-ops 7.3~alpha1+git20120621-1
Date: Thu, 21 Jun 2012 17:19:06 +0000
Source: libatomic-ops
Source-Version: 7.3~alpha1+git20120621-1

We believe that the bug you reported is fixed in the latest version of
libatomic-ops, which is due to be installed in the Debian FTP archive:

libatomic-ops-dev_7.3~alpha1+git20120621-1_i386.deb
  to main/liba/libatomic-ops/libatomic-ops-dev_7.3~alpha1+git20120621-1_i386.deb
libatomic-ops_7.3~alpha1+git20120621-1.diff.gz
  to main/liba/libatomic-ops/libatomic-ops_7.3~alpha1+git20120621-1.diff.gz
libatomic-ops_7.3~alpha1+git20120621-1.dsc
  to main/liba/libatomic-ops/libatomic-ops_7.3~alpha1+git20120621-1.dsc
libatomic-ops_7.3~alpha1+git20120621.orig.tar.gz
  to main/liba/libatomic-ops/libatomic-ops_7.3~alpha1+git20120621.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Wienand <ianw@debian.org> (supplier of updated libatomic-ops package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 21 Jun 2012 09:55:15 -0700
Source: libatomic-ops
Binary: libatomic-ops-dev
Architecture: source i386
Version: 7.3~alpha1+git20120621-1
Distribution: unstable
Urgency: low
Maintainer: Ian Wienand <ianw@debian.org>
Changed-By: Ian Wienand <ianw@debian.org>
Description: 
 libatomic-ops-dev - A library for atomic operations (development files)
Closes: 632604
Changes: 
 libatomic-ops (7.3~alpha1+git20120621-1) unstable; urgency=low
 .
   * Update from upstream git
   * Closes: 632604 -- Fixed by upstream 30cea1b as identified by Emanuele
     Aina and Gregor Herrmann <gregoa@debian.org>.  Thanks!
Checksums-Sha1: 
 7afcf044b0a2681f2875b6678827493e28336811 1234 libatomic-ops_7.3~alpha1+git20120621-1.dsc
 b9a559d8f966f7b72209f041321a3449253e7f71 404974 libatomic-ops_7.3~alpha1+git20120621.orig.tar.gz
 061282755bfd90f2fb09a962ce15634b2fe18416 10095 libatomic-ops_7.3~alpha1+git20120621-1.diff.gz
 921978c98321d8cbf6315b12012a8bdc633e13f0 85014 libatomic-ops-dev_7.3~alpha1+git20120621-1_i386.deb
Checksums-Sha256: 
 8ee91795cb37653c715fecc439e5a880303cd150378fa1beda26c1ddf9b6fcee 1234 libatomic-ops_7.3~alpha1+git20120621-1.dsc
 c6e41fcd72c39611f23a7d782c439a3ba3e79effe10af5bffe31c2ca025ea614 404974 libatomic-ops_7.3~alpha1+git20120621.orig.tar.gz
 ff12d9a7fcf573b8805ee518a2c2b055b8874d7978a20f3e55ec6cb18a1b5f3a 10095 libatomic-ops_7.3~alpha1+git20120621-1.diff.gz
 e7621c66371a6ac4be2ee6ae225a4c4654398ce3b6e67066a5fd6bde9a532f9a 85014 libatomic-ops-dev_7.3~alpha1+git20120621-1_i386.deb
Files: 
 1f65a09ab01472c0d66e4bd0dc7c53a5 1234 libdevel optional libatomic-ops_7.3~alpha1+git20120621-1.dsc
 d0f00047b17a51c14ad937f48e884a3b 404974 libdevel optional libatomic-ops_7.3~alpha1+git20120621.orig.tar.gz
 c1734a61c8f67c26729b07d5c665b229 10095 libdevel optional libatomic-ops_7.3~alpha1+git20120621-1.diff.gz
 54fae7828c5868232f73f3fd08fc82c1 85014 libdevel optional libatomic-ops-dev_7.3~alpha1+git20120621-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/jUvMACgkQWDlSU/gp6efcrQCgqg06NLRr2ma6BXHGq2+ZG1f8
nCQAoKOAkNwPZreIvPBk2/eNddyg9HyA
=jV8g
-----END PGP SIGNATURE-----





Reply sent to Ian Wienand <ianw@debian.org>:
You have taken responsibility. (Thu, 21 Jun 2012 17:21:12 GMT) Full text and rfc822 format available.

Notification sent to Emanuele Aina <emanuele.aina@collabora.com>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 17:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Thu, 21 Jun 2012 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Thu, 21 Jun 2012 19:09:06 GMT) Full text and rfc822 format available.

Message #40 received at 632604@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ian Wienand <ian@wienand.org>
Cc: 632604@bugs.debian.org
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Thu, 21 Jun 2012 21:07:36 +0200
[Message part 1 (text/plain, inline)]
On Thu, 21 Jun 2012 09:50:19 -0700, Ian Wienand wrote:

> I think it might be better to just re-sync to latest upstream.  Let me
> get to that...

Right, thanks for the quick upload!

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Ostbahn-Kurti & Die Chefpartie: Tequila Sunrise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Mon, 01 Oct 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Mon, 01 Oct 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #45 received at 632604@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: ianw@debian.org
Cc: 632604@bugs.debian.org, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Mon, 01 Oct 2012 15:06:49 +0200
On 21/06/2012 18:39, gregor herrmann wrote:
> tags 632604 + pending
> thanks
>
> Dear maintainer,
>
> I've prepared an NMU for libatomic-ops (versioned as 7.3~alpha1+git20111031-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
>

We may need this patch after all :) It seems that #632604 and sid's 
libatomic-ops cannot be unblocked for Wheezy (due to very large changes 
in its codebase). Could you please prepare an upload targetting 
testing-proposed-updates?

Regards.

-- 
Mehdi Dogguy مهدي الدڤي



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Tue, 02 Oct 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Tue, 02 Oct 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 632604@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: ianw@debian.org, 632604@bugs.debian.org
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Tue, 2 Oct 2012 17:35:46 +0200
[Message part 1 (text/plain, inline)]
On Mon, 01 Oct 2012 15:06:49 +0200, Mehdi Dogguy wrote:

> >I've prepared an NMU for libatomic-ops (versioned as 7.3~alpha1+git20111031-1.1) and
> >uploaded it to DELAYED/2. Please feel free to tell me if I
> >should delay it longer.
> We may need this patch after all :) It seems that #632604 and sid's
> libatomic-ops cannot be unblocked for Wheezy (due to very large
> changes in its codebase). Could you please prepare an upload
> targetting testing-proposed-updates?

Here we are, the same patch applied against the version in testing,
and the build tested in a wheezy i386 cowbuilder chroot.

Ian, if your busy I'm happy to upload the fix (if Mehdi is ok with
the diff).

Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Flying Pickets
[632604.wheezy.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Wed, 03 Oct 2012 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Wienand <ian@wienand.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Wed, 03 Oct 2012 04:45:03 GMT) Full text and rfc822 format available.

Message #55 received at 632604@bugs.debian.org (full text, mbox):

From: Ian Wienand <ian@wienand.org>
To: gregor herrmann <gregoa@debian.org>
Cc: Mehdi Dogguy <mehdi@dogguy.org>, 632604@bugs.debian.org
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Tue, 2 Oct 2012 21:40:23 -0700
On Tue, Oct 2, 2012 at 8:35 AM, gregor herrmann <gregoa@debian.org> wrote:
> Ian, if your busy I'm happy to upload the fix (if Mehdi is ok with
> the diff).

Many thanks for looking into this.  I'd be glad if you can upload; I
would only upload the same thing anyway.

Thanks,

-i



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Wed, 03 Oct 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Wed, 03 Oct 2012 09:15:03 GMT) Full text and rfc822 format available.

Message #60 received at 632604@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Ian Wienand <ian@wienand.org>, 632604@bugs.debian.org, gregor herrmann <gregoa@debian.org>
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Wed, 03 Oct 2012 11:11:24 +0200
On 03/10/2012 06:40, Ian Wienand wrote:
> On Tue, Oct 2, 2012 at 8:35 AM, gregor herrmann<gregoa@debian.org>  wrote:
>> Ian, if your busy I'm happy to upload the fix (if Mehdi is ok with
>> the diff).
>
> Many thanks for looking into this.  I'd be glad if you can upload; I
> would only upload the same thing anyway.
>

Thanks for both of you. You can go ahead with the upload. It will 
probably be better to use "7.2~alpha5+cvs20101124-1+deb7u0" as version 
number.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Wed, 03 Oct 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Wed, 03 Oct 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #65 received at 632604@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Ian Wienand <ian@wienand.org>, 632604@bugs.debian.org
Subject: Re: Bug#632604: libatomic-ops: diff for NMU version 7.3~alpha1+git20111031-1.1
Date: Wed, 3 Oct 2012 17:41:18 +0200
[Message part 1 (text/plain, inline)]
On Wed, 03 Oct 2012 11:11:24 +0200, Mehdi Dogguy wrote:

> On 03/10/2012 06:40, Ian Wienand wrote:
> >On Tue, Oct 2, 2012 at 8:35 AM, gregor herrmann<gregoa@debian.org>  wrote:
> >>Ian, if your busy I'm happy to upload the fix (if Mehdi is ok with
> >>the diff).
> >Many thanks for looking into this.  I'd be glad if you can upload; I
> >would only upload the same thing anyway.

Thanks for the permission, will upload shortly ...

> Thanks for both of you. You can go ahead with the upload. It will
> probably be better to use "7.2~alpha5+cvs20101124-1+deb7u0" as
> version number.

... with this version; it's always good check back with the experts :)


Cheers,
gregor 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rod Stewart: Downtown Train
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Wienand <ianw@debian.org>:
Bug#632604; Package src:libatomic-ops. (Wed, 03 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Wienand <ianw@debian.org>. (Wed, 03 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #70 received at 632604@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <632604@bugs.debian.org>
Subject: libatomic-ops: debdiff of t-p-u upload
Date: Wed, 03 Oct 2012 17:45:24 +0200
[Message part 1 (text/plain, inline)]
Package: libatomic-ops
Followup-For: Bug #632604

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

I'm attaching the final debdiff that I just uploaded to t-p-u.

Cheers,
gregor

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQbF2TAAoJELs6aAGGSaoGKRkP/1gTab/b4+PFZHfMNiEB6P9N
G8XgmEMNHYYKzcDJNRh6uQaV0fD7f2nR2JqYkM5DYDfgjV20W8R8i8MAO/9qkZcY
SgSzJpZhPzAELpsUXohv0jqRj/88p93Qyp+OOEkz64KeSqaLgaWYDieEX1Q6RA1p
Mk9vwm76eP376Y1Qui7t9ul1d+rTqrYYPUIRVG/cynZGOXhmndPNDd3dbwGBmIsc
OGmk0RDs40CHcQxDXgqgvfwLFBuMMxwcTGwHOQVOMQx7HmVImwv4GRYWwjeHDdiG
CGcyfzRB9VZ99VwagrtY4yuDujL79j65aKxcCDxvp5CdWjsQJ1NWJl/qmUulPZ9H
Ym0d7B0HGXnq72C86tZItoNr+HiRYZLfFZx69nCjSLUnNhqn9UW44PU4aPnjbtMe
1h2dUW40lY5wVyfMbz93jPbjaQoN9gZCXFboMU1nbnvvatC6CQd3yilrNRwnt8x/
M/h/sgIsV1QIhywYlBtvC1XqhBYumGyHdcA+yutkLgIyml8V+tM+VlxNl1VxjMUD
LXedqgg4RjnjJHFT8tNAUg1vC/wuYgzLVeuxCe7ZRPOTrCYBYro10tDYIX7kWovN
hb2BtqC4YFKa8xCZoxGobBBe3SBWOrBLPaEZSu9t8zFqPsaBIAY5LntcIyvsBfR8
4opHZCw+bhmKEJziQeuP
=HNvu
-----END PGP SIGNATURE-----
[632604_tpu.diff (text/x-diff, attachment)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 03 Oct 2012 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Oct 2012 15:51:05 GMT) Full text and rfc822 format available.

Message #75 received at 632604-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 632604-close@bugs.debian.org
Subject: Bug#632604: fixed in libatomic-ops 7.2~alpha5+cvs20101124-1+deb7u0
Date: Wed, 03 Oct 2012 15:47:25 +0000
Source: libatomic-ops
Source-Version: 7.2~alpha5+cvs20101124-1+deb7u0

We believe that the bug you reported is fixed in the latest version of
libatomic-ops, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libatomic-ops package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Oct 2012 17:35:27 +0200
Source: libatomic-ops
Binary: libatomic-ops-dev
Architecture: source amd64
Version: 7.2~alpha5+cvs20101124-1+deb7u0
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Ian Wienand <ianw@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libatomic-ops-dev - A library for atomic operations (development files)
Closes: 632604
Changes: 
 libatomic-ops (7.2~alpha5+cvs20101124-1+deb7u0) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload with maintainer's permission.
   * Fix "FTBFS on i386": apply patch from upstream git repo:
     https://github.com/ivmai/libatomic_ops/commit/30cea1b#diff-0
     Thanks to Emanuele Aina for the pointer.
     (Closes: #632604)
Checksums-Sha1: 
 05f16beef91f5c032cc6559dae3e3913189b2bce 1925 libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.dsc
 f4a643150ad654c4d2fccb62d432fa93879cfcb8 10625 libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.diff.gz
 b69d49bbc1664fe856f349db91d18f5d9acb4dc4 84110 libatomic-ops-dev_7.2~alpha5+cvs20101124-1+deb7u0_amd64.deb
Checksums-Sha256: 
 fa5f630833864627a1f37820a26c6bee669fcee60f70b58d071288104e732954 1925 libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.dsc
 2473ef4fbee623deae016829d36ff5bbb073bed9f3ce395c88bce92b67a0f4fc 10625 libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.diff.gz
 11c5c3cd42145fbe4ecf9a08e513b7d9441be751d34e5886fcd4c68740eace0c 84110 libatomic-ops-dev_7.2~alpha5+cvs20101124-1+deb7u0_amd64.deb
Files: 
 17f783457673660263d9c6fc4de5cf41 1925 libdevel optional libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.dsc
 6f1898290e4870739cfc21fb8b9783f8 10625 libdevel optional libatomic-ops_7.2~alpha5+cvs20101124-1+deb7u0.diff.gz
 36ae5390a897c3a25dbe681378e20029 84110 libdevel optional libatomic-ops-dev_7.2~alpha5+cvs20101124-1+deb7u0_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQbFwMAAoJELs6aAGGSaoGVMwQAIZJfHmntaS5JRL+cBJE7cvB
hH7YnlGKo24Xk1K75F3l6xcAZHOod/MWJ878rfySngMmf/3wZ3wS6XIz4me9UsEV
10l89lM2i+lMYNl/o3bgfYU3CVzsth+iOt/k32+AuyVqVzyPTKceidAdr/ZYkEe+
yNik27S9A/BxEQivMIDvv1BKWzilWlbCDuusRe/Yc5+fRUEheYBZitajiBB325DA
0Dh1Ftg5q3eEgw9vn3la8lXO5e/OHQaZZvjuqnzlSgULtWStUZUzYscV0jzSFxTG
1Syx5cwDTa9ZzCrQMLak4UiVxJAgK+1EGp5GqHsHZ60+jo7o6vmh34Zl6oIRM6sG
6pIN0v0TzPj9SzQlxD0X8pP1xEwFAk5yOi8Ehc1QWjXp16l8P5oMrUD0/Gtyevg7
HsfzavgefKFGejtAX2vMvXvm98InRuACRI9gpw95O/fwTApf1ksF1KourG4Cxnvq
K9050ZV4uBkfUjywTqw6VZWIWdC67KqGZYbDIkcz+uZ82VM+B0wkVhb4qk4Z2/nQ
jmx9Ayh9fp5GfYOjbJEmutvuOiJpfj9wEVx31Sj+Z39MYsf/O0TEO+Zx8ZhlMPjB
4NVF/1R2BamoCIPutbpAOHVngCKAHwGyITIyF8vhvK6LDAhFlwIFYG0a1QRT5/YO
nT4/1d5owBovceI5z3lY
=V8ow
-----END PGP SIGNATURE-----




Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 03 Oct 2012 15:51:06 GMT) Full text and rfc822 format available.

Notification sent to Emanuele Aina <emanuele.aina@collabora.com>:
Bug acknowledged by developer. (Wed, 03 Oct 2012 15:51:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:33:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.